## org.eclipse.datatools.connectivity.oda.design.ui.manifest
Class DataSourceWizardInfo

    java.lang.Object
      org.eclipse.datatools.connectivity.oda.design.ui.manifest.DataSourceWizardInfo

public class DataSourceWizardInfo
extends java.lang.Object

Represents the customizable behavior defined by an ODA UI Extension for its new data source wizard dialog. It encapsulates the content of the newDataSourceWizard element defined in the ODA Design UI extension point.

Method Summary
`java.lang.String` `getPageClassName()`
`java.lang.String` `getPageTitle()`
`java.lang.String` `getWindowTitle()`
`boolean` `includesProgressMonitor()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getWindowTitle

    public java.lang.String getWindowTitle()

  Returns:
    Returns the m_windowTitle.

### includesProgressMonitor

    public boolean includesProgressMonitor()

  Returns:
    Returns the m_includesProgressMonitor.

### getPageClassName

    public java.lang.String getPageClassName()

  Returns:
    Returns the m_pageClassName.

### getPageTitle

    public java.lang.String getPageTitle()

  Returns:
    Returns the m_pageTitle.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.